package com.ruoyi.system.domain.projectV2;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_签约信息对象 zsyz_qyxx
 * 
 * @author boman
 * @date 2023-02-22
 */
public class ZsyzQyxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 对方签约人 */
    @Excel(name = "对方签约人")
    private String dfqyr;

    /** 我方签约人 */
    @Excel(name = "我方签约人")
    private String wfqyr;

    /** 通报日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "通报日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tbrq;

    /** 签约日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "签约日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date qyrq;

    /** 协议投资额（万元） */
    @Excel(name = "协议投资额", readConverterExp = "万=元")
    private String xytze;

    /** 市外资金（万元） */
    @Excel(name = "市外资金", readConverterExp = "万=元")
    private String swzj;

    /** 固定资产投资额（万元） */
    @Excel(name = "固定资产投资额", readConverterExp = "万=元")
    private String gdzctze;

    /** 签约跟进人手机号 */
    @Excel(name = "签约跟进人手机号")
    private String qygjrsjh;

    /** 项目所在地 */
    @Excel(name = "项目所在地")
    private String xmszd;

    /** 所属行业 字典 */
    @Excel(name = "所属行业 字典")
    private String sshy;

    /** 投资方式（1：独资，2：合资，3：合作，4：收购，5：参股，6：兼并，7：其他） */
    @Excel(name = "投资方式", readConverterExp = "1=：独资，2：合资，3：合作，4：收购，5：参股，6：兼并，7：其他")
    private String tzfs;

    /** 建设方式（1：新建，2：改建，3：扩建，4：租赁） */
    @Excel(name = "建设方式", readConverterExp = "1=：新建，2：改建，3：扩建，4：租赁")
    private String jsfs;

    /** 是否宜商（1：是，2：否） */
    @Excel(name = "是否宜商", readConverterExp = "1=：是，2：否")
    private String sfys;

    /** 建设内容 */
    @Excel(name = "建设内容")
    private String jsnr;

    /** 用地面积（亩） */
    @Excel(name = "用地面积", readConverterExp = "亩=")
    private String ydmj;

    /** 注册企业名称 */
    @Excel(name = "注册企业名称")
    private String zcqymc;

    /** 注册日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date zcrq;

    /** 注册资本（万元） */
    @Excel(name = "注册资本", readConverterExp = "万=元")
    private String zczb;

    /** 法人代表 */
    @Excel(name = "法人代表")
    private String frdb;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String lxfs;

    /** 经营范围 */
    @Excel(name = "经营范围")
    private String jyfw;

    /** 立项日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "立项日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lxrq;

    /** 拟开工日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "拟开工日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nkgrq;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String path;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setDfqyr(String dfqyr) 
    {
        this.dfqyr = dfqyr;
    }

    public String getDfqyr() 
    {
        return dfqyr;
    }
    public void setWfqyr(String wfqyr) 
    {
        this.wfqyr = wfqyr;
    }

    public String getWfqyr() 
    {
        return wfqyr;
    }
    public void setTbrq(Date tbrq) 
    {
        this.tbrq = tbrq;
    }

    public Date getTbrq() 
    {
        return tbrq;
    }
    public void setQyrq(Date qyrq) 
    {
        this.qyrq = qyrq;
    }

    public Date getQyrq() 
    {
        return qyrq;
    }
    public void setXytze(String xytze) 
    {
        this.xytze = xytze;
    }

    public String getXytze() 
    {
        return xytze;
    }
    public void setSwzj(String swzj) 
    {
        this.swzj = swzj;
    }

    public String getSwzj() 
    {
        return swzj;
    }
    public void setGdzctze(String gdzctze) 
    {
        this.gdzctze = gdzctze;
    }

    public String getGdzctze() 
    {
        return gdzctze;
    }
    public void setQygjrsjh(String qygjrsjh) 
    {
        this.qygjrsjh = qygjrsjh;
    }

    public String getQygjrsjh() 
    {
        return qygjrsjh;
    }
    public void setXmszd(String xmszd) 
    {
        this.xmszd = xmszd;
    }

    public String getXmszd() 
    {
        return xmszd;
    }
    public void setSshy(String sshy) 
    {
        this.sshy = sshy;
    }

    public String getSshy() 
    {
        return sshy;
    }
    public void setTzfs(String tzfs) 
    {
        this.tzfs = tzfs;
    }

    public String getTzfs() 
    {
        return tzfs;
    }
    public void setJsfs(String jsfs) 
    {
        this.jsfs = jsfs;
    }

    public String getJsfs() 
    {
        return jsfs;
    }
    public void setSfys(String sfys) 
    {
        this.sfys = sfys;
    }

    public String getSfys() 
    {
        return sfys;
    }
    public void setJsnr(String jsnr) 
    {
        this.jsnr = jsnr;
    }

    public String getJsnr() 
    {
        return jsnr;
    }
    public void setYdmj(String ydmj) 
    {
        this.ydmj = ydmj;
    }

    public String getYdmj() 
    {
        return ydmj;
    }
    public void setZcqymc(String zcqymc) 
    {
        this.zcqymc = zcqymc;
    }

    public String getZcqymc() 
    {
        return zcqymc;
    }
    public void setZcrq(Date zcrq) 
    {
        this.zcrq = zcrq;
    }

    public Date getZcrq() 
    {
        return zcrq;
    }
    public void setZczb(String zczb) 
    {
        this.zczb = zczb;
    }

    public String getZczb() 
    {
        return zczb;
    }
    public void setFrdb(String frdb) 
    {
        this.frdb = frdb;
    }

    public String getFrdb() 
    {
        return frdb;
    }
    public void setLxfs(String lxfs) 
    {
        this.lxfs = lxfs;
    }

    public String getLxfs() 
    {
        return lxfs;
    }
    public void setJyfw(String jyfw) 
    {
        this.jyfw = jyfw;
    }

    public String getJyfw() 
    {
        return jyfw;
    }
    public void setLxrq(Date lxrq) 
    {
        this.lxrq = lxrq;
    }

    public Date getLxrq() 
    {
        return lxrq;
    }
    public void setNkgrq(Date nkgrq) 
    {
        this.nkgrq = nkgrq;
    }

    public Date getNkgrq() 
    {
        return nkgrq;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("xmmc", getXmmc())
            .append("dfqyr", getDfqyr())
            .append("wfqyr", getWfqyr())
            .append("tbrq", getTbrq())
            .append("qyrq", getQyrq())
            .append("xytze", getXytze())
            .append("swzj", getSwzj())
            .append("gdzctze", getGdzctze())
            .append("qygjrsjh", getQygjrsjh())
            .append("xmszd", getXmszd())
            .append("sshy", getSshy())
            .append("tzfs", getTzfs())
            .append("jsfs", getJsfs())
            .append("sfys", getSfys())
            .append("jsnr", getJsnr())
            .append("ydmj", getYdmj())
            .append("zcqymc", getZcqymc())
            .append("zcrq", getZcrq())
            .append("zczb", getZczb())
            .append("frdb", getFrdb())
            .append("lxfs", getLxfs())
            .append("jyfw", getJyfw())
            .append("lxrq", getLxrq())
            .append("nkgrq", getNkgrq())
            .append("path", getPath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
